Bug 506956 - Various minor issues with systemtap initscript
Various minor issues with systemtap initscript
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: systemtap (Show other bugs)
5.4
All Linux
medium Severity medium
: rc
: ---
Assigned To: Linda Wang
BaseOS QE
:
Depends On:
Blocks: 525407
  Show dependency treegraph
 
Reported: 2009-06-19 10:28 EDT by Petr Muller
Modified: 2016-09-19 22:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 525407 (view as bug list)
Environment:
Last Closed: 2010-06-03 11:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Muller 2009-06-19 10:28:50 EDT
Version:
systemtap-initscript-0.9.7-5.el5

Description of problem:

1) Few commands are probably missing a linebreak, so they don't look very well when used. At least a space would look better.

# service systemtap start            
Starting systemtap:Compiling one ...done                        
Starting one ...done

# service systemtap cleanup
Cleaning up systemtap:Removing caches

# service systemtap compile
Compiling systemtap:Updating caches

2) Compile command output doesn't make sense: 'compiling systemtap' is not true, 'compiling systemtap scripts' is.

3) status command doesn't print any output when run with no scripts in script.d. Something like 'No systemtap scripts present' would be nice to have.

# service systemtap status

#

4) restart command should work like 'start' when everything is stopped, but it does not:

# service systemtap status
one is stopped

# service systemtap restart
Starting systemtap:                                        [WARNING]
# service systemtap status
one is stopped

5) -y (say 'yes' to all querys) doesn't work. Other options seem to work fine.
# service systemtap cleanup -y
getopt: invalid option -- y
Usage: systemtap {start|stop|restart|status|compile|cleanup} [option]
Options:
        -c configfile   : specify config file
        -r kernelrelease: specify kernel release version
        -R              : recursively dependency checking
        -y              : answer yes for all questions.
        script(s)       : specify systemtap scripts
# service systemtap compile  -y
getopt: invalid option -- y
Usage: systemtap {start|stop|restart|status|compile|cleanup} [option]
Options:
        -c configfile   : specify config file
        -r kernelrelease: specify kernel release version
        -R              : recursively dependency checking
        -y              : answer yes for all questions.
        script(s)       : specify systemtap scripts
Comment 1 Masami Hiramatsu 2009-06-19 13:17:13 EDT
Thank you for reporting!

(In reply to comment #0)
> 1) Few commands are probably missing a linebreak, so they don't look very well
> when used. At least a space would look better.

OK, I'll add a space.

> 2) Compile command output doesn't make sense: 'compiling systemtap' is not
> true, 'compiling systemtap scripts' is.

Sure, and I'd like to change stop command message too.

> 3) status command doesn't print any output when run with no scripts in
> script.d. Something like 'No systemtap scripts present' would be nice to have.

OK.

> 4) restart command should work like 'start' when everything is stopped, but it
> does not:

OK.

> 5) -y (say 'yes' to all querys) doesn't work. Other options seem to work fine.

Ah, that's a bug. I'll fix it.
Comment 5 Frank Ch. Eigler 2010-06-03 11:35:33 EDT
systemtap-1.1 in rhel5.5 includes the above commit.

Note You need to log in before you can comment on or make changes to this bug.